FEDORA-2018-ea8f0a8fb5 created by cstratak 3 years ago for Fedora 28
stable

Update to 1.7.1 (bz#1534802)

The update is intended to stay into updates-testing for some time to verify that packages do not break due to API changes.

Changelog: 1.7.0 and 1.7.1

How to install

sudo dnf upgrade --advisory=FEDORA-2018-ea8f0a8fb5

This update has been submitted for testing by cstratak.

3 years ago

cstratak edited this update.

3 years ago

cstratak edited this update.

3 years ago

This update has been pushed to testing.

3 years ago

This update has reached 3 days in testing and can be pushed to stable now if the maintainer wishes

3 years ago
User Icon ppisar commented & provided feedback 3 years ago
karma

This breaks building libbson package: /usr/bin/sphinx-build -qEW -j 8 -b man ./doc doc/man: Could not import extension taglist (exception: cannot import name Directive).

The "cannot import name Directive" error is covered by bug #1555204.

Is the issue considered fixed?

I patched libbson. But python-sphinx still breaks API. In my opinion it's too late for API breakers in F28.

Hence the reason I have it here for testing for as long as possible and I also have a buildroot override active currently in F28. So far the issues that emerged have been fixed, and if those are the only things that break with 1.7, I intend to release it for F28 final.

This update has been submitted for batched by cstratak.

3 years ago

This update has been submitted for stable by cstratak.

3 years ago

This update has been pushed to stable.

3 years ago

Please login to add feedback.

Metadata
Type
enhancement
Karma
-1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
3 years ago
in testing
3 years ago
in stable
3 years ago
modified
3 years ago
BZ#1534802 python-sphinx-1.7.1 is available
0
0

Automated Test Results